%define name smeserver-phpvirtualbox-4.3
%define version 4.3.0
%define release 7
%define rpmver   4.3.0
Summary: smserver rpm to install phpvirtualbox
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
URL: http://mirror.de-labrusse.fr
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: php-soap
Requires: phpvirtualbox-4.3

AutoReqProv: no
Patch0: smeserver-phpvirtualbox-4.3-force-https.patch
Patch1: smeserver-phpvirtualbox-4.3-unix-group.patch

%description
smserver rpm to install phpvirtualbox : An open source, AJAX implementation of the VirtualBox user interface written in PHP. As a 
modern web interface, it allows you to access and control remote VirtualBox instances. phpVirtualBox is designed to allow users to 
administer VirtualBox in a headless environment - mirroring the VirtualBox GUI through its web interface.

%changelog
* Sun Nov 10 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.7
- removing dependance to smeserver-virtualbox-4.3
* Tue Nov 05 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.6
- change name to match the phpvirtualbox version
* Wed Oct 23 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.5
- Clean 92phpvirtualbox to force only the localnetwork
- Add the plugin unixgroup (from pwauth) to allow unix groups to reach the apache server.
- you can see http://code.google.com/p/pwauth/ for more informations

* Sun Oct 20 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.4
- Force https protocol for phpvirtualbox

* Sat Oct 19 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.3
- Initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
/bin/chmod 750 /usr/lib/httpd/modules/unixgroup
/bin/chown root:www /usr/lib/httpd/modules/unixgroup

echo "=============================================================="
echo "	Please do not forget to install the extension pack "
echo "	You need it to activate the virtualbox RDP server"                         
echo "	And many features, see this page to manage it by CL"
echo "  "                                                                   
echo "	https://www.virtualbox.org/manual/ch08.html#vboxmanage-extpack"
echo " "
echo "	The download page : https://www.virtualbox.org/wiki/Downloads"
echo "=============================================================="


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/local/bin/svc -h /service/httpd-e-smith
fi
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

